System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

A component can use the interface to provide objects for any properties of the component. A associated with a property can provide an image, a ToolTip and an event handler for the event that is raised when the image associated with the property is clicked.

The interface provides methods to add, remove, and retrieve delegates to or from an internal list. When the properties of a component are displayed in a property browser, each in the list is given an opportunity to provide a for each property of the component.

When a property browser is set to display the properties of an object, it calls the method of this interface for each property of the component, passing a that represents the property. The method calls each that has been added to the service. Each can add a to the parameter passed in the parameter to supply UI items for the property represented by the passed in the parameter.

A can contain an image to display next to the property name, a ToolTip string, and an event handler to invoke when an image associated with the property is double-clicked.

Provides an interface to manage the images, ToolTips, and event handlers for the properties of a component displayed in a property browser.

- Method
  System.Void ``

  When is called, each handler added to this service is called and given the opportunity to add an icon for the property.

  Adds the specified to this service.

  The property value UI handler to add. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.PropertyValueUIItem[] `` `` To be added

  Gets the objects that match the specified context and property descriptor characteristics.

  An array of objects that match the specified parameters.

  An that can be used to gain additional context information. A that indicates the property to match with the properties to return. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Notifies the implementation that the global list of objects has been modified.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  Components that serve objects can call when they change their list of items.

  Occurs when the list of objects is modified.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Removes the specified from the property value UI service.

  The handler to remove. 1.0.5000.0 2.0.0.0